Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.common.logging
Class LogImplWebguiLogging

    java.lang.Object
      kieker.common.logging.LogImplWebguiLogging

All Implemented Interfaces:
  Log

    public final class LogImplWebguiLogging

extends Object
implements Log

This is a simple logger for the Kieker WebGUI. It stores the log messages within a buffer of a static size. If the buffer is full, the oldest entry will be removed for new entries. As the entries have to be accessible from outside, the queues are stored statically.

Since:
  1.6
Author:
  Jan Waller, Nils Christian Ehmke

Method Summary
`void` | `clear()` Clears the saved entries within this logger.
`void` | `debug(String message)` Log a message with debug log level.
`void` | `debug(String message, Throwable t)` Log an error with debug log level.
`void` | `error(String message)` Log a message with error log level.
`void` | `error(String message, Throwable t)` Log an error with error log level.
`static String[]` | `getAvailableLogs()` Delivers an array with the names of all used loggers.
`static String[]` | `getEntries(String name)` Delivers an array with all entries of the logger with the given name.
`void` | `info(String message)` Log a message with info log level.
`void` | `info(String message, Throwable t)` Log an error with info log level.
`boolean` | `isDebugEnabled()` Is debug logging currently enabled?
`boolean` | `isTraceEnabled()` Is trace logging currently enabled?
`void` | `trace(String message)` Log a message with trace log level.
`void` | `trace(String message, Throwable t)` Log an error with trace log level.
`void` | `warn(String message)` Log a message with warn log level.
`void` | `warn(String message, Throwable t)` Log an error with warn log level.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isTraceEnabled

    public boolean isTraceEnabled()

  Description copied from interface: `Log`

  Is trace logging currently enabled?

  Call this method to prevent having to perform expensive operations (for example, `String` concatenation) when the log level is more than trace.

  Specified by:
    `isTraceEnabled` in interface `Log`
  Returns:
    true if trace is enabled in the underlying logger.

### trace

    public void trace(String message)

  Description copied from interface: `Log`

  Log a message with trace log level.

  Use this log level for the development mode to log a single step, e.g., "Loaded user 'Helen'" (cf. `Log.debug(String)`).

  Specified by:
    `trace` in interface `Log`
  Parameters:
    `message` - log this message

### trace

    public void trace(String message,
                      Throwable t)

  Description copied from interface: `Log`

  Log an error with trace log level.

  Use this log level for the development mode to log a single step, e.g., "Loaded user 'Helen'" (cf. `Log.debug(String, Throwable)`).

  Specified by:
    `trace` in interface `Log`
  Parameters:
    `message` - log this message
    `t` - log this cause

### isDebugEnabled

    public boolean isDebugEnabled()

  Is debug logging currently enabled?

  Call this method to prevent having to perform expensive operations (for example, `String` concatenation) when the log level is more than debug.

  Specified by:
    `isDebugEnabled` in interface `Log`
  Returns:
    true if debug is enabled in the underlying logger.

### debug

    public void debug(String message)

  Log a message with debug log level.

  Use this log level for the development mode to log a set of single steps, e.g., "Loaded 10 users from file" (cf. `Log.trace(String)`).

  Specified by:
    `debug` in interface `Log`
  Parameters:
    `message` - log this message

### debug

    public void debug(String message,
                      Throwable t)

  Log an error with debug log level.

  Use this log level for the development mode to log a set of single steps, e.g., "Loaded 10 users from file" (cf. `Log.trace(String, Throwable)`).

  Specified by:
    `debug` in interface `Log`
  Parameters:
    `message` - log this message
    `t` - log this cause

### info

    public void info(String message)

  Log a message with info log level.

  Use this log level for the production mode.

  Specified by:
    `info` in interface `Log`
  Parameters:
    `message` - log this message

### info

    public void info(String message,
                     Throwable t)

  Log an error with info log level.

  Use this log level for the production mode.

  Specified by:
    `info` in interface `Log`
  Parameters:
    `message` - log this message
    `t` - log this cause

### warn

    public void warn(String message)

  Log a message with warn log level.

  Use this log level for the production mode.

  Specified by:
    `warn` in interface `Log`
  Parameters:
    `message` - log this message

### warn

    public void warn(String message,
                     Throwable t)

  Log an error with warn log level.

  Use this log level for the production mode.

  Specified by:
    `warn` in interface `Log`
  Parameters:
    `message` - log this message
    `t` - log this cause

### error

    public void error(String message)

  Log a message with error log level.

  Use this log level for the production mode.

  Specified by:
    `error` in interface `Log`
  Parameters:
    `message` - log this message

### error

    public void error(String message,
                      Throwable t)

  Log an error with error log level.

  Use this log level for the production mode.

  Specified by:
    `error` in interface `Log`
  Parameters:
    `message` - log this message
    `t` - log this cause

### clear

    public void clear()

  Clears the saved entries within this logger.

### getAvailableLogs

    public static String[] getAvailableLogs()

  Delivers an array with the names of all used loggers.

  Returns:
    The available log names.

### getEntries

    public static String[] getEntries(String name)

  Delivers an array with all entries of the logger with the given name.

  Parameters:
    `name` - The name of the logger.
  Returns:
    The stored entries of the logger. If a logger with the given name doesn't exist, an empty array will be returned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net